package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;
import java.util.Objects;

/**
 * CreateWlanGroupOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class CreateWlanGroupOpenApiVo   {
  @JsonProperty("name")
  private String name;

  @JsonProperty("clone")
  private Boolean clone;

  @JsonProperty("clonedWlanId")
  private String clonedWlanId;

  public CreateWlanGroupOpenApiVo name(String name) {
    this.name = name;
    return this;
  }

  /**
   * WLAN group name should contain 1 to 128 characters.
   * @return name
  */
  @ApiModelProperty(required = true, value = "WLAN group name should contain 1 to 128 characters.")
  @NotNull

@Pattern(regexp="^[^ ]$|^[^ ].{0,126}[^ ]$") 
  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public CreateWlanGroupOpenApiVo clone(Boolean clone) {
    this.clone = clone;
    return this;
  }

  /**
   * Whether to clone SSID list from other WLAN group.
   * @return clone
  */
  @ApiModelProperty(required = true, value = "Whether to clone SSID list from other WLAN group.")
  @NotNull


  public Boolean getClone() {
    return clone;
  }

  public void setClone(Boolean clone) {
    this.clone = clone;
  }

  public CreateWlanGroupOpenApiVo clonedWlanId(String clonedWlanId) {
    this.clonedWlanId = clonedWlanId;
    return this;
  }

  /**
   * WLAN group ID that needs to be cloned. Parameter [clonedWlanId] should not be null when Parameter [clone] is true.
   * @return clonedWlanId
  */
  @ApiModelProperty(value = "WLAN group ID that needs to be cloned. Parameter [clonedWlanId] should not be null when Parameter [clone] is true.")


  public String getClonedWlanId() {
    return clonedWlanId;
  }

  public void setClonedWlanId(String clonedWlanId) {
    this.clonedWlanId = clonedWlanId;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    CreateWlanGroupOpenApiVo createWlanGroupOpenApiVo = (CreateWlanGroupOpenApiVo) o;
    return Objects.equals(this.name, createWlanGroupOpenApiVo.name) &&
        Objects.equals(this.clone, createWlanGroupOpenApiVo.clone) &&
        Objects.equals(this.clonedWlanId, createWlanGroupOpenApiVo.clonedWlanId);
  }

  @Override
  public int hashCode() {
    return Objects.hash(name, clone, clonedWlanId);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class CreateWlanGroupOpenApiVo {\n");
    
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("    clone: ").append(toIndentedString(clone)).append("\n");
    sb.append("    clonedWlanId: ").append(toIndentedString(clonedWlanId)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

